package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.B1;
import com.ruoyi.system.domain.B10;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface B10Mapper {

    public List<B10> selectAll();

    public List<B10> selectListByInfo(B10 b10);

    int insertOne(B10 b10);

    int examineB10(B10 b10);

    int delB10(B10 b10);

    int weekdelB10(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);


    List<B10> selectB10ListByProjectIDAndFromTo(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);
    List<B10> selectB10ByUserIDAndFromTo(@Param("userId") String userId, @Param("from") String from, @Param("to") String to);

    /**
     * 新增表b10字段 `员工id`
     */
    void addUserIdColumn();

    /**
     * 批量更新
     * @param list
     */
    void updateList(List<B10> list);
}
